classification
Title: Move the buildslave setup information from the wiki to the devguide
Type: enhancement Stage: resolved
Components: Devguide Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: eric.snow, ezio.melotti, ncoghlan, pitrou, r.david.murray, willingc, zach.ware
Priority: normal Keywords: patch

Created on 2015-06-12 16:03 by r.david.murray, last changed 2015-08-12 23:12 by r.david.murray. This issue is now closed.

Files
File name Uploaded Description Edit
buildslave.patch r.david.murray, 2015-06-12 16:25
buildslave.patch r.david.murray, 2015-08-12 22:22
Messages (6)
msg245262 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2015-06-12 16:03
I propose that we move the information on setting up a buildslave from the wiki to the devguide.  The attached patch is my rewrite (hopefully an improvement) of the information from the wiki.  Note that there are a couple of TBD pieces (setup on Windows, restart at boot on windows and mac).  I'll be filling in the mac stuff as I set up the Intel ICC mac buildbot and figure out what all is missing from the docs.
msg245264 - (view) Author: Carol Willing (willingc) * (Python committer) Date: 2015-06-12 16:41
R. David, this will be an excellent addition to the devguide. Great clarity in the text. I particularly like your discussion of what are buildbots and who provides and maintains them. It also encourages those interested in a particular os to consider maintaining a buildbot suitable for their needs. 

I can see this being helpful to those individuals on the core mentorship list looking for testing issues to resolve. Nicely done :)

I will do a more thorough grammar/style review later. I will defer to others on the technical review.
msg247030 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2015-07-21 13:05
Note to myself to review issue 13124 before submitting my updated patch for review.
msg248480 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2015-08-12 22:22
Here is an updated version of my buildslave patch, incorporating what I've learned in getting the Intel mac buildbot fully functional, and some additions from my review of the issue 13124 patch.

This is ready for final review and commit.  Note that the windows stuff is 'TBD'; hopefully someone who has actually set up a Windows buildslave (Zach?) will fill in those sections, updating the information from http://wiki.python.org/moin/BuildbotOnWindows to modern reality.  But I think we can commit this before making those additions, and deal with that in a separate patch.
msg248485 - (view) Author: Carol Willing (willingc) * (Python committer) Date: 2015-08-12 23:06
This looks great. Two very minor typos. Overall, the patch renders nicely and can be merged. I agree that it is worth merging with or without windows instructions (which may be added later).

Missing 'd' in email address
+python-builsbots@python.org to discuss adding your buildslave and to obtain the

Missing 'd' in title of section
+Builslave operation

Thanks David!
msg248486 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2015-08-12 23:12
Drat, I keep forgetting to put issue numbers in devguide commits :(.

Changeset id is 7368a61d28de.

Thanks for the review, Carol.
History
Date User Action Args
2015-08-12 23:12:34r.david.murraysetstatus: open -> closed
resolution: fixed
messages: + msg248486

stage: commit review -> resolved
2015-08-12 23:06:11willingcsetmessages: + msg248485
2015-08-12 22:22:39r.david.murraysetfiles: + buildslave.patch

messages: + msg248480
stage: patch review -> commit review
2015-07-21 13:19:05eric.snowsetnosy: + eric.snow
2015-07-21 13:05:25r.david.murraysetmessages: + msg247030
2015-07-21 08:26:41willingclinkissue13124 superseder
2015-06-12 16:41:22willingcsetmessages: + msg245264
2015-06-12 16:25:36r.david.murraysetfiles: + buildslave.patch
keywords: + patch
2015-06-12 16:03:59r.david.murraycreate